%define prefix /usr
Name:akpi
Summary: ACPI frontend for KDE
Version: 0.4
Release: 1
Source: %{name}-%{version}.tar.bz2
Group: User Interface/Desktops
BuildRoot: /var/tmp/build-root-%{name}
License: GPL
Url: http://akpi.scmd.at
Vendor:  Thomas Winkler
%description
aKpi provides a simple GUI frontend for acpi. It makes heavy use of the
QT library and is able to doc into your KDE panel.

%prep
rm -rf %{buildroot}

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

cd $RPM_BUILD_ROOT

find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}
%doc AUTHORS README COPYING
%defattr(-,root,root,0755)

%changelog
* Sun Jun 23 2002 Gerald Teschl <gt@esi.ac.at>
- inital spec

